Index: trunk/language/english.php
===================================================================
--- trunk/language/english.php	(revision 177)
+++ trunk/language/english.php	(revision 185)
@@ -1,3 +1,21 @@
 <?php
+/***************************************************************************
+ *                                english.php                              *
+ *                            -------------------                          *
+ *   application   : PhpWebGallery 1.3 <http://phpwebgallery.net>          *
+ *   author        : Pierrick LE GALL <pierrick@z0rglub.com>               *
+ *                                                                         *
+ *   $Id$
+ *                                                                         *
+ ***************************************************************************/
+
+/***************************************************************************
+ *                                                                         *
+ *   This program is free software; you can redistribute it and/or modify  *
+ *   it under the terms of the GNU General Public License as published by  *
+ *   the Free Software Foundation;                                         *
+ *                                                                         *
+ ***************************************************************************/
+
 $lang['only_members'] = 'Only members can access this page';
 $lang['invalid_pwd'] = 'Invalid password!';
@@ -11,6 +29,4 @@
 $lang['thumbnail'] = 'thumbnail';
 $lang['date'] = 'date';
-
-// diapo page
 $lang['diapo_default_page_title'] = 'No category selected';
 $lang['thumbnails'] = 'Thumbnails';
@@ -46,6 +62,4 @@
 $lang['total'] = 'images';
 $lang['upload_picture'] = 'Upload a picture';
-
-// both diapo and photo pages
 $lang['registration_date'] = 'registered on';
 $lang['creation_date'] = 'created on';
@@ -58,6 +72,4 @@
 $lang['favorites'] = 'Favorites';
 $lang['search_result'] = 'Search results';
-
-// about page
 $lang['about_page_title'] = 'About PhpWebGallery';
 $lang['about_title'] = 'About...';
@@ -69,6 +81,4 @@
 </ul>';
 $lang['about_return'] = 'Back';
-
-// identification page
 $lang['ident_page_title'] = 'Identification';
 $lang['ident_title'] = 'Identification';
@@ -76,6 +86,4 @@
 $lang['ident_forgotten_password'] = 'Forget your password ?';
 $lang['ident_guest_visit'] = 'Go through the gallery as a visitor';
-
-// profile page
 $lang['customize_page_title'] = 'Customization';
 $lang['customize_title'] = 'Customization';
@@ -87,6 +95,4 @@
 $lang['err_maxwidth'] = 'maximum width must be a number superior to 50';
 $lang['err_maxheight'] = 'maximum height must be a number superior to 50';
-
-// photo page
 $lang['previous_image'] = 'Previous';
 $lang['next_image'] = 'Next';
@@ -121,6 +127,4 @@
 $lang['del_favorites_alt'] = 'Delete from favorites';
 $lang['del_favorites_hint'] = 'Delete this picture from your favorites';
-	
-// page register
 $lang['register_page_title'] = 'Registration';
 $lang['register_title'] = 'Registration';
@@ -133,12 +137,8 @@
 $lang['reg_confirm'] = 'confirm';
 $lang['reg_err_mail_address'] = 'mail address must be like xxx@yyy.eee (example : jack@altern.org)';
-	
-// page search
 $lang['search_title'] = 'Search';
 $lang['invalid_search'] = 'search must be done on 3 caracters or more';
 $lang['search_field_search'] = 'Search';
 $lang['search_return_main_page'] = 'Return to thumbnails page';
-	
-// page upload
 $lang['upload_forbidden'] = 'You can\'t upload pictures in this category';
 $lang['upload_file_exists'] = 'A picture\'s name already used';
@@ -155,5 +155,4 @@
 $lang['upload_username'] = 'Username';
 $lang['upload_successful'] = 'Picture uploaded with success, an administrator will validate it as soon as possible';
-
 // new in release 1.3
 $lang['charset'] = 'ISO_8859-1';
@@ -226,9 +225,7 @@
 $lang['hint_comments'] = 'See last users comments';
 $lang['menu_login'] = 'login';
-
 //-------------------------------------------------------------- administration
 if ( $isadmin )
 {
-  // page admin
   $lang['title_liste_users'] = 'Users list';
   $lang['title_history'] = 'History';
@@ -242,5 +239,4 @@
   $lang['title_thumbnails_2'] = 'for';
   $lang['title_default'] = 'PhpWebGallery administration';
-
   $lang['menu_title'] = 'Administration';
   $lang['menu_config'] = 'Configuration';
@@ -254,11 +250,7 @@
   $lang['menu_instructions'] = 'Instructions';
   $lang['menu_back'] = 'Back to galleries';
-		
   $lang['title_waiting'] = 'Pictures waiting for validation';
   $lang['menu_waiting'] = 'Waiting';
-
   $lang['default_message'] = 'PhpWebGallery administration panel';
-
-  // page de configuration  
   $lang['conf_err_prefixe'] = 'thumbnail\'s prefix mustn\'t contain any accentued character';
   $lang['conf_err_mail'] = 'e-mail address refused, it must be like name@server.com';
@@ -267,5 +259,4 @@
   $lang['conf_err_max_user_listbox'] = 'the max user listbox number must be an integer value between 0 and 255';
   $lang['conf_confirmation'] = 'Information data registered in database';
-		
   $lang['conf_general_title'] = 'Main configuration';
   $lang['conf_general_webmaster'] = 'webmaster login';
@@ -293,6 +284,6 @@
   $lang['conf_upload_available_info'] = 'Authorizing the upload of pictures by users on the categories of the website (not on a remote server).';
   $lang['conf_upload_maxfilesize'] = 'maximum filesize';
-  $lang['conf_upload_maxfilesize_info'] = 'Maximum filesize for the uploaded pictures. Must be a number between 10 and 1000 Ko.';
-  $lang['conf_err_upload_maxfilesize'] = 'Maximum filesize for the uploaded pictures must be a number between 10 and 1000 Ko.';
+  $lang['conf_upload_maxfilesize_info'] = 'Maximum filesize for the uploaded pictures. Must be a number between 10 and 1000 KB.';
+  $lang['conf_err_upload_maxfilesize'] = 'Maximum filesize for the uploaded pictures must be a number between 10 and 1000 KB.';
   $lang['conf_upload_maxwidth'] = 'maximum width';
   $lang['conf_upload_maxwidth_info'] = 'Maximum width authorized for the uploaded images. Must be a number superior to 10 pixels';
@@ -307,9 +298,7 @@
   $lang['conf_upload_maxheight_thumbnail_info'] = 'Maximum height authorized for the uploaded thumbnails. Must be a number superior to 10 pixels';
   $lang['conf_err_upload_maxheight_thumbnail'] = 'Maximum height authorized for the uploaded thumbnails must be a number superior to 10 pixels.';
-		
   $lang['conf_default_title'] = 'Default display properties for unregistered visitors and new accounts';
   $lang['conf_default_language_info'] = 'default language';
   $lang['conf_default_theme_info'] = 'default theme';
-		
   $lang['conf_session_title'] = 'Sessions configuration';
   $lang['conf_session_size'] = 'identifier size';
@@ -321,14 +310,9 @@
   $lang['conf_session_delete'] = 'delete out-of-date sessions';
   $lang['conf_session_delete_info'] = 'it is recommanded to empty the database table of session, because out-of-date sessions remains in the database (but it doesn\'t make any security trouble)';
-		
-  // page user, clés générales
   $lang['user_err_modify'] = 'This user can\'t be modified or deleted';
   $lang['user_err_unknown'] = 'This user doesn\'t exist in the database';
-		
-  // page d\'ajout/modification d\'utilisateur
   $lang['adduser_info_message'] = 'Informations registered in the database for user ';
   $lang['adduser_info_password_updated'] = '(password updated)';
   $lang['adduser_info_back'] = 'back to the users list';
-		
   $lang['adduser_fill_form'] = 'Please fill the following form';
   $lang['adduser_unmodify'] = 'unmodifiable';
@@ -336,6 +320,4 @@
   $lang['adduser_status_admin'] = 'admin';
   $lang['adduser_status_guest'] = 'guest';
-		
-  // page permissions
   $lang['permuser_info_message'] = 'Permissions registered';
   $lang['permuser_title'] = 'Restrictions for user';
@@ -344,6 +326,4 @@
   $lang['permuser_forbidden'] = 'forbidden';
   $lang['permuser_parent_forbidden'] = 'parent category forbidden';
-
-  // page list users
   $lang['listuser_confirm'] = 'Do you really want to delete this user';
   $lang['listuser_info_deletion'] = 'was removed from database';
@@ -358,6 +338,4 @@
   $lang['listuser_button_invert'] = 'invert';
   $lang['listuser_button_create_address'] = 'create mail address';
-		
-  // page categories
   $lang['cat_invisible'] = 'invisible';
   $lang['cat_edit'] = 'Edit';
@@ -366,6 +344,4 @@
   $lang['cat_image_info'] = 'Images info';
   $lang['cat_total'] = 'total';
-		
-  // page édition d\'une catégorie
   $lang['editcat_confirm'] = 'Information registered in the database';
   $lang['editcat_back'] = 'categories';
@@ -374,6 +350,4 @@
   $lang['editcat_comment'] = 'Comment';
   $lang['editcat_status'] = 'Status';
-		
-  // page info images
   $lang['infoimage_general'] = 'General options for the category';
   $lang['infoimage_useforall'] = 'use for all pictures ?';
@@ -382,6 +356,4 @@
   $lang['infoimage_title'] = 'title';
   $lang['infoimage_comment'] = 'comment';
-		
-  // page database update
   $lang['update_missing_tn'] = 'the thumbnail is missing for';
   $lang['update_disappeared_tn'] = 'the thumbnail disapeared';
@@ -396,9 +368,6 @@
   $lang['update_only_cat'] = 'update categories, not pictures';
   $lang['update_all'] = 'update all';
-		
-  // page de génération miniatures
   $lang['tn_width'] = 'width';
   $lang['tn_height'] = 'height';
-		
   $lang['tn_no_support'] = 'Picture unreachable or no support';
   $lang['tn_format'] = 'for the file format';
@@ -406,9 +375,7 @@
   $lang['tn_err_width'] = 'width must be a number superior to';
   $lang['tn_err_height'] = 'height must be a number superior to';
-		
   $lang['tn_results_title'] = 'Results of miniaturization';
   $lang['tn_picture'] = 'picture';
   $lang['tn_results_gen_time'] = 'generated in';
-		
   $lang['tn_stats'] = 'General statistics';
   $lang['tn_stats_nb'] = 'number of miniaturized pictures';
@@ -417,7 +384,5 @@
   $lang['tn_stats_min'] = 'min time';
   $lang['tn_stats_mean'] = 'average time';
-		
   $lang['tn_err'] = 'You made mistakes';
-		
   $lang['tn_params_title'] = 'Miniaturization parameters';
   $lang['tn_params_GD'] = 'GD version';
@@ -429,11 +394,7 @@
   $lang['tn_params_format'] = 'file format';
   $lang['tn_params_format_info'] = 'only jpeg file format is supported for thumbnail creation';
-		
   $lang['tn_alone_title'] = 'pictures without thumbnail (jpeg and png only)';
-		
   $lang['tn_dirs_title'] = 'Directories list';
   $lang['tn_dirs_alone'] = 'pictures without thumbnail';
-		
-  // help page
   $lang['help_images_title'] = 'Adding pictures';
   $lang['help_images_intro'] = 'How to place pictures in your directories';
@@ -443,5 +404,4 @@
   $lang['help_images'][3] = 'picture files must have jpeg format (extension jpg or JPG), gif format (extension gif or GIF) or png format (extension png or PNG).';
   $lang['help_images'][4] = 'try not to use blank space " " or hyphen "-" in picture files, I advise you to use underscore "_" character which is managed by PhpWebGallery and will provide better results';
-		
   $lang['help_thumbnails_title'] = 'Thumbnails';
   $lang['help_thumbnails'][0] = 'in each directory containing picture to display on your site, there is a sub-directory nammed "thumbnail", if it doesn\'t exist, create it to place your thumbnails into it.';
@@ -451,11 +411,8 @@
   $lang['help_thumbnails'][4] = 'you can use the thumbnail creation page integrated in PhpWebGallery, but I don\'t advice you so, because thumbnail quality may be poor and it uses a high CPU load which can be a problem if you use free web hosting.';
   $lang['help_thumbnails'][5] = 'if you choose to use your hosting provider to create thumbnails, you must give 775 rights on "galleries" folder and all its sub-folders.';
-		
   $lang['help_database_title'] = 'Updating database';
   $lang['help_database'][0] = 'once pictures files and thumbnails correctly placed in the directories, clic on "database update" in the menu of the administration panel.';
-		
   $lang['help_infos_title'] = 'Miscellanous informations';
   $lang['help_infos'][1] = 'As soon as you created your gallery, go in the user list and modify permissions for user "visiteur". Indeed, every new registered users will have by default the same permissions as "visiteur" user.';
-		
   $lang['help_remote_title'] = 'Remote site';
   $lang['help_remote'][0] = 'PhpWebGallery offers the possibility to use several servers to store the images which will compose your gallery. It can be useful if your gallery is installed on one limited space and that you have a big quantity of images to be shown. Please , follow this procedure : ';
@@ -465,14 +422,10 @@
   $lang['help_remote'][4] = '4. get back file listing.xml from your distant website to place it in directory "admin" of this website.';
   $lang['help_remote'][5] = '5. please , launch an update of the data of images by the interface of administration, once the listing.xml used file, kill it from the directory "admin".';
-  $lang['help_remote'][6] = 'You can update the contents of a distant website by redoing the described manipulation. You can also kill a distant website by choosing the option in the configuration section of the administration panel.'.
-		
-    $lang['help_upload_title'] = 'Added images by users';
+  $lang['help_remote'][6] = 'You can update the contents of a distant website by redoing the described manipulation. You can also kill a distant website by choosing the option in the configuration section of the administration panel.';
+  $lang['help_upload_title'] = 'Added images by users';
   $lang['help_upload'][0] = 'PhpWebGallery offers the possibility for users to upload images. in order to do it :';
   $lang['help_upload'][1] = '1. authorize the option in the configuration zone of the administration panel';
   $lang['help_upload'][2] = '2. authorize the rights in writing in the images directories';
-	
-  // installation
   $lang['install_message'] = 'Message';
-		
   $lang['step1_confirmation'] = 'Parameters are correct';
   $lang['step1_err_db'] = 'Connection to server succeed, but it was impossible to connect to database';
@@ -491,10 +444,8 @@
   $lang['step1_prefix'] = 'Database table prefix';
   $lang['step1_prefix_info'] = 'database tables names will be prefixed with it (enables you to manage better your tables)';
-
   $lang['step2_err_login1'] = 'enter a login for webmaster';
   $lang['step2_err_login3'] = 'webmaster login can\'t contain characters \' or "';
   $lang['step2_err_pass'] = 'please enter your password again';
   $lang['step2_err_mail'] = $lang['conf_err_mail'];
-		
   $lang['install_end_title'] = 'Installation finished';
   $lang['install_end_message'] = 'The configuration of PhpWebGallery is finished, here is the next step<br /><br />
@@ -510,5 +461,4 @@
   $lang['step2_pwd_conf'] = 'confirm password';
   $lang['step2_pwd_conf_info'] = 'verification';
-
   // new in release 1.3
   $lang['remote_site'] = 'Remote site';