Index: /trunk/identification.php
===================================================================
--- /trunk/identification.php	(revision 364)
+++ /trunk/identification.php	(revision 365)
@@ -37,9 +37,9 @@
   $query = 'SELECT password';
   $query.= ' FROM '.USERS_TABLE;
-  $query.= " WHERE username = '".$_POST['login']."';";
+  $query.= " WHERE username = '".$_POST['username']."';";
   $row = mysql_fetch_array( mysql_query( $query ) );
   if( $row['password'] == md5( $_POST['pass'] ) )
   {
-    $session_id = session_create( $_POST['login'] );
+    $session_id = session_create( $_POST['username'] );
     $url = 'category.php?id='.$session_id;
     header( 'Request-URI: '.$url );
@@ -60,68 +60,40 @@
 include('include/page_header.php');
 
-$handle = $vtp->Open( './template/default/identification.vtp' );
-// language
-$vtp->setGlobalVar( $handle, 'ident_title',      $lang['ident_title'] );
-$vtp->setGlobalVar( $handle, 'login',            $lang['login'] );
-$vtp->setGlobalVar( $handle, 'password',         $lang['password'] );
-$vtp->setGlobalVar( $handle, 'submit',           $lang['submit'] );
-$vtp->setGlobalVar( $handle, 'ident_guest_visit',$lang['ident_guest_visit'] );
-$vtp->setGlobalVar( $handle, 'ident_register',   $lang['ident_register'] );
-$vtp->setGlobalVar( $handle, 'ident_forgotten_password',
-                    $lang['ident_forgotten_password'] );
-// conf
-$vtp->setGlobalVar( $handle, 'mail_webmaster',   $conf['mail_webmaster'] );
-// user
-$vtp->setGlobalVar( $handle, 'user_template',    $user['template'] );
+$template->set_filenames( array('identification'=>'identification.tpl') );
 initialize_template();
+
+$template->assign_vars(array(
+  'MAIL_ADMIN' => $conf['mail_webmaster'],
+
+  'L_TITLE' => $lang['ident_title'],
+  'L_USERNAME' => $lang['login'],
+  'L_PASSWORD' => $lang['password'],
+  'L_LOGIN' => $lang['submit'],
+  'L_GUEST' => $lang['ident_guest_visit'],
+  'L_REGISTER' => $lang['ident_register'],
+  'L_FORGET' => $lang['ident_forgotten_password'], 
+  
+  'T_STYLE' => $user['template'],
+  
+  'F_LOGIN_ACTION' => add_session_id('identification.php')
+  ));
+
 //-------------------------------------------------------------- errors display
 if ( sizeof( $errors ) != 0 )
 {
-  $vtp->addSession( $handle, 'errors' );
-  foreach ( $errors as $error ) {
-    $vtp->addSession( $handle, 'li' );
-    $vtp->setVar( $handle, 'li.li', $error );
-    $vtp->closeSession( $handle, 'li' );
+  $template->assign_block_vars('errors',array());
+  for ( $i = 0; $i < sizeof( $errors ); $i++ )
+  {
+    $template->assign_block_vars('errors.error',array('ERROR'=>$errors[$i]));
   }
-  $vtp->closeSession( $handle, 'errors' );
 }
-//------------------------------------------------------------------ users list
-// retrieving all the users login
-$query = 'select username from '.USERS_TABLE.';';
-$result = mysql_query( $query );
-if ( mysql_num_rows ( $result ) < $conf['max_user_listbox'] )
-{
-  $vtp->addSession( $handle, 'select_field' );
-  while ( $row = mysql_fetch_array( $result ) )
-  {
-    if ( $row['username'] != 'guest' )
-    {
-      $vtp->addSession( $handle, 'option' );
-      $vtp->setVar( $handle, 'option.option', $row['username'] );
-      $vtp->closeSession( $handle, 'option' );
-    }
-  }
-  $vtp->closeSession( $handle, 'select_field' );
-}
-else
-{
-  $vtp->addSession( $handle, 'text_field' );
-  $vtp->closeSession( $handle, 'text_field' );
-}
+
 //-------------------------------------------------------------- visit as guest
 if ( $conf['access'] == 'free' )
 {
-  $vtp->addSession( $handle, 'guest_visit' );
-  $vtp->closeSession( $handle, 'guest_visit' );
-}
-//---------------------------------------------------------------- registration
-if ( $conf['access'] == 'free' )
-{
-  $vtp->addSession( $handle, 'register' );
-  $vtp->closeSession( $handle, 'register' );
+  $template->assign_block_vars('free_access',array());
 }
 //----------------------------------------------------------- html code display
-$code = $vtp->Display( $handle, 0 );
-echo $code;
+$template->pparse('identification');
 include('include/page_tail.php');
 ?>
Index: /trunk/register.php
===================================================================
--- /trunk/register.php	(revision 364)
+++ /trunk/register.php	(revision 365)
@@ -28,5 +28,5 @@
 //----------------------------------------------------------- include
 define('PHPWG_ROOT_PATH','./');
-include_once( PHPWG_ROOT_PATH.'incelude/common.inc.php' );
+include_once( PHPWG_ROOT_PATH.'include/common.inc.php' );
 //-------------------------------------------------- access authorization check
 if ( $conf['access'] == "restricted" )
@@ -51,4 +51,8 @@
   }
 }
+
+$login = empty($_POST['login'])?$_POST['login']:'';
+$email = empty($_POST['login'])?$_POST['login']:'';
+
 //----------------------------------------------------- template initialization
 //
@@ -58,61 +62,32 @@
 include('include/page_header.php');
 
-$handle = $vtp->Open( './template/'.$user['template'].'/register.vtp' );
-// language
-$vtp->setGlobalVar( $handle, 'register_title',   $lang['register_title'] );
-$vtp->setGlobalVar( $handle, 'ident_guest_visit',$lang['ident_guest_visit'] );
-$vtp->setGlobalVar( $handle, 'submit',           $lang['submit'] );
+$template->set_filenames( array('register'=>'register.tpl') );
 initialize_template();
-//----------------------------------------------------------------- form action
-$vtp->setGlobalVar( $handle, 'form_action', './register.php' );
+
+$template->assign_vars(array(
+  'L_TITLE' => $lang['register_title'],
+  'L_GUEST' => $lang['ident_guest_visit'],
+  'L_SUBMIT' => $lang['submit'],
+  'L_USERNAME' => $lang['login'],
+  'L_PASSWORD' => $lang['password'],
+  'L_CONFIRM_PASSWORD' => $lang['reg_confirm'],
+  'L_EMAIL' => $lang['mail_address'],
+  
+  'F_ACTION' => add_session_id('register.php'),
+  'F_LOGIN' => $login,
+  'F_MAIL' => $email
+  ));
+
 //-------------------------------------------------------------- errors display
-if ( sizeof( $error ) != 0 )
+if ( sizeof( $errors ) != 0 )
 {
-  $vtp->addSession( $handle, 'errors' );
-  for ( $i = 0; $i < sizeof( $error ); $i++ )
+  $template->assign_block_vars('errors',array());
+  for ( $i = 0; $i < sizeof( $errors ); $i++ )
   {
-    $vtp->addSession( $handle, 'li' );
-    $vtp->setVar( $handle, 'li.li', $error[$i] );
-    $vtp->closeSession( $handle, 'li' );
+    $template->assign_block_vars('errors.error',array('ERROR'=>$errors[$i]));
   }
-  $vtp->closeSession( $handle, 'errors' );
 }
-//----------------------------------------------------------------------- login
-$vtp->addSession( $handle, 'line' );
-$vtp->setVar( $handle, 'line.name', $lang['login'] );
-$vtp->addSession( $handle, 'text' );
-$vtp->setVar( $handle, 'text.name', 'login' );
-if (isset( $_POST['login']))
-	$vtp->setVar( $handle, 'text.value', $_POST['login'] );
-$vtp->closeSession( $handle, 'text' );
-$vtp->closeSession( $handle, 'line' );
-//-------------------------------------------------------------------- password
-$vtp->addSession( $handle, 'line' );
-$vtp->setVar( $handle, 'line.name', $lang['password'] );
-$vtp->addSession( $handle, 'password' );
-$vtp->setVar( $handle, 'password.name', 'password' );
-$vtp->setVar( $handle, 'password.value', '' );
-$vtp->closeSession( $handle, 'password' );
-$vtp->closeSession( $handle, 'line' );
-//------------------------------------------------------- password confirmation
-$vtp->addSession( $handle, 'line' );
-$vtp->setVar( $handle, 'line.name', $lang['reg_confirm'] );
-$vtp->addSession( $handle, 'password' );
-$vtp->setVar( $handle, 'password.name', 'password_conf' );
-$vtp->setVar( $handle, 'password.value', '' );
-$vtp->closeSession( $handle, 'password' );
-$vtp->closeSession( $handle, 'line' );
-//---------------------------------------------------------------- mail address
-$vtp->addSession( $handle, 'line' );
-$vtp->setVar( $handle, 'line.name', $lang['mail_address'] );
-$vtp->addSession( $handle, 'text' );
-$vtp->setVar( $handle, 'text.name', 'mail_address' );
-if (isset( $_POST['mail_address']))
-	$vtp->setVar( $handle, 'text.value', $_POST['mail_address'] );
-$vtp->closeSession( $handle, 'text' );
-$vtp->closeSession( $handle, 'line' );
-//----------------------------------------------------------- html code display
-$code = $vtp->Display( $handle, 0 );
-echo $code;
+
+$template->pparse('register');
 include('include/page_tail.php');
 ?>
Index: /trunk/template/default/identification.tpl
===================================================================
--- /trunk/template/default/identification.tpl	(revision 365)
+++ /trunk/template/default/identification.tpl	(revision 365)
@@ -0,0 +1,61 @@
+    <table style="width:100%;height:100%">
+      <tr align="center" valign="middle">
+        <td>
+          {T_START}1px{T_BEGIN}
+            <div class="titrePage">{L_TITLE}</div>
+          {T_END}
+          <div style="margin-bottom:5px;">&nbsp;</div>
+          {T_START}50%{T_BEGIN}
+            <div style="text-align:center;">
+			<form action="{F_LOGIN_ACTION}" method="post">
+			<table width="100%" cellpadding="4" cellspacing="1" border="0" align="center">
+			<!-- BEGIN errors -->
+			  <tr>
+				<td colspan="2">
+				  <div class="errors">
+					<ul>
+					  <!-- BEGIN error -->
+					  <li>{errors.error.ERROR}</li>
+					  <!-- END error -->
+					</ul>
+				  </div>
+				</td>
+			  </tr>
+			  <!-- END errors -->
+		  <tr> 
+			<td colspan="2" align="center">&nbsp;</td>
+		  </tr>
+		  <tr> 
+			<td width="45%" align="right"><span class="gentbl">{L_USERNAME}:</span></td>
+			<td> 
+			  <input class="login" type="text" name="username" size="25" maxlength="40" value="{USERNAME}" />
+			</td>
+		  </tr>
+		  <tr> 
+			<td align="right"><span class="gentbl">{L_PASSWORD}:</span></td>
+			<td> 
+			  <input class="login" type="password" name="pass" size="25" maxlength="25" />
+			</td>
+		  </tr>
+		  <tr align="center"> 
+			<td colspan="2"><input type="submit" name="login" value="{L_LOGIN}" class="bouton" /></td>
+		  </tr>
+
+</table>
+</form>
+              <table style="width:80%;margin-left:auto;margin-right:auto;">
+                <tr>
+                  <td colspan="3" align="center">
+                    <!-- BEGIN free_access -->
+                      <p><a href="./category.php">[ {L_GUEST} ]</a></p>
+                      <a href="register.php"><img src="./template/{T_STYLE}/theme/register.gif" style="border:0;" alt=""/>&nbsp;{L_REGISTER}</a>&nbsp;&nbsp;-&nbsp;&nbsp;
+                    <!-- END free_access -->
+                      <a href="mailto:{MAIL_ADMIN}?subject=[PhpWebGallery] {L_FORGET}"><img src="./template/{T_STYLE}/theme/lost.gif" style="border:0;" alt=""/>&nbsp;{L_FORGET}</a>
+                  </td>
+                </tr>
+              </table>
+            </div>
+          {T_END}
+        </td>
+      </tr>
+    </table>
Index: unk/template/default/identification.vtp
===================================================================
--- /trunk/template/default/identification.vtp	(revision 364)
+++ 	(revision )
@@ -1,67 +1,0 @@
-    <table style="width:100%;height:100%">
-      <tr align="center" valign="middle">
-        <td>
-          {#frame_start}1px{#frame_begin}
-            <div class="titrePage">{#ident_title}</div>
-          {#frame_end}
-          <div style="margin-bottom:5px;">&nbsp;</div>
-          {#frame_start}50%{#frame_begin}
-            <div style="margin-left:auto;margin-right:auto;text-align:center;">
-              <form method="post" action="./identification.php">
-                <table style="width:80%;margin-left:auto;margin-right:auto;">
-                  <!--VTP_errors-->
-                  <tr>
-                    <td colspan="3">
-                      <div class="errors">
-                        <ul>
-                          <!--VTP_li-->
-                          <li>{#li}</li>
-                          <!--/VTP_li-->
-                        </ul>
-                      </div>
-                    </td>
-                  </tr>
-                  <!--/VTP_errors-->
-                  <tr>
-                    <td class="menu" align="center">{#login}</td>
-                    <td class="menu" align="center">{#password}</td>
-                    <td>&nbsp;</td>
-                  </tr>
-                  <tr>
-                    <td align="center">
-                      <!--VTP_select_field-->
-                      <select name="login">
-                        <!--VTP_option-->
-                        <option>{#option}</option>
-                        <!--/VTP_option-->
-                      </select>
-                      <!--/VTP_select_field-->
-                      <!--VTP_text_field-->
-                      <input type="text" name="login" value="" />
-                      <!--/VTP_text_field-->
-                    </td>
-                    <td align="center"><input type="password" name="pass"/></td>
-                    <td align="center"><input type="submit" name="submit" value="{#submit}" class="bouton"/></td>
-                  </tr>
-                </table>
-              </form>
-              <table style="width:80%;margin-left:auto;margin-right:auto;">
-                <tr>
-                  <td colspan="3" align="center">
-                    <!--VTP_guest_visit-->
-                      <a href="./category.php">[ {#ident_guest_visit} ]</a>
-                    <!--/VTP_guest_visit-->
-                    <div  style="margin-top:10px;text-align:left;">
-                      <!--VTP_register-->
-                        <a href="register.php"><img src="./template/{#user_template}/theme/register.gif" style="border:0;" alt="{#ident_register}"/>&nbsp;{#ident_register}</a><br />
-                      <!--/VTP_register-->
-                      <a href="mailto:{#mail_webmaster}?subject=[PhpWebGallery] {#ident_forgotten_password}"><img src="./template/{#user_template}/theme/lost.gif" style="border:0;" alt=""/>&nbsp;{#ident_forgotten_password}</a>
-                    </div>
-                  </td>
-                </tr>
-              </table>
-            </div>
-          {#frame_end}
-        </td>
-      </tr>
-    </table>
Index: unk/template/default/profile.vtp
===================================================================
--- /trunk/template/default/profile.vtp	(revision 364)
+++ 	(revision )
@@ -1,91 +1,0 @@
-    <table style="width:100%;height:100%">
-      <tr align="center" valign="middle">
-        <td>
-          {#frame_start}1px{#frame_begin}
-            <div class="titrePage">{#customize_title}</div>
-          {#frame_end}
-          <div style="margin-bottom:20px"></div>
-          {#frame_start}50%{#frame_begin}
-            <form method="post" action="{#form_action}">
-              <table style="width:100%;margin-top:10px;margin-bottom:10px;">
-                <tr align="center" valign="middle">
-                  <td>
-                    <table width="80%">
-                      <!--VTP_errors-->
-                      <tr>
-                        <td colspan="2">
-                          <div class="errors">
-                            <ul>
-                              <!--VTP_li-->
-                              <li>{#li}</li>
-                              <!--/VTP_li-->
-                            </ul>
-                          </div>
-                        </td>
-                      </tr>
-                      <!--/VTP_errors-->
-                      <!--VTP_line-->
-                      <tr>
-                        <td class="menu">{#name}</td>
-                        <td class="menu">
-                          <!--VTP_select-->
-                          <select name="{#name}">
-                            <!--VTP_option-->
-                            <option{#selected}>{#option}</option>
-                            <!--/VTP_option-->
-                          </select>
-                          <!--/VTP_select-->
-                          <!--VTP_text-->
-                          <input type="text" name="{#name}" value="{#value}" />
-                          <!--/VTP_text-->
-                          <!--VTP_group-->
-                            <!--VTP_radio-->
-                            <input type="radio" name="{#name}" value="{#value}"{#checked}/>{#option}
-                            <!--/VTP_radio-->
-                          <!--/VTP_group-->
-                        </td>
-                      </tr>
-                      <!--/VTP_line-->
-                      <tr>
-                        <td colspan="2">&nbsp;</td>
-                      </tr>
-                      <tr>
-                        <td class="menu">{#new} {#password} <input type="checkbox" name="use_new_pwd" value="1" /></td>
-                        <td class="menu"><input type="password" name="password" value="" /></td>
-                      </tr>
-                      <tr>
-                        <td class="menu">{#reg_confirm}</td>
-                        <td class="menu"><input type="password" name="passwordConf" value="" /></td>
-                      </tr>
-                      <!--VTP_cookie-->
-                      <tr>
-                        <td colspan="2">&nbsp;</td>
-                      </tr>
-                      <tr>
-                        <td class="menu">{#create_cookie} <input type="checkbox" name="create_cookie" value="1" /></td>
-                        <td class="menu">
-                          <select name="cookie_expiration">
-                          <!--VTP_expiration_option-->
-                            <option value="{#value}">{#option}</option>
-                          <!--/VTP_expiration_option-->
-                          </select>
-                        </td>
-                      </tr>
-                      <!--/VTP_cookie-->
-                      <tr>
-                        <td colspan="2">&nbsp;</td>
-                      </tr>
-                      <tr>
-                        <td colspan="2" align="center">
-                          <input type="submit" name="submit" value="{#submit}" style="margin:5px;"/>
-                        </td>
-                      </tr>
-                    </table>
-                  </td>
-                </tr>
-              </table>
-            </form>
-          {#frame_end}
-        </td>
-      </tr>
-    </table>
Index: /trunk/template/default/register.tpl
===================================================================
--- /trunk/template/default/register.tpl	(revision 365)
+++ /trunk/template/default/register.tpl	(revision 365)
@@ -0,0 +1,67 @@
+    <table style="width:100%;height:100%">
+      <tr align="center" valign="middle">
+        <td>
+          {T_START}1px{T_BEGIN}
+            <div class="titrePage">{L_TITLE}</div>
+          {T_END}
+          <div style="margin-bottom:20px"></div>
+          {T_START}50%{T_BEGIN}
+            <form method="post" action="{F_ACTION}">
+              <table style="width:80%;margin-top:10px;margin-bottom:10px;margin-left:auto;margin-right:auto;">
+                <!-- BEGIN errors -->
+			  <tr>
+				<td colspan="2">
+				  <div class="errors">
+					<ul>
+					  <!-- BEGIN error -->
+					  <li>{errors.error.ERROR}</li>
+					  <!-- END error -->
+					</ul>
+				  </div>
+				</td>
+			  </tr>
+			  <!-- END errors -->
+                <tr>
+                  <td class="menu">{L_USERNAME}</td>
+                  <td class="menu">
+				    <input type="text" name="login" value="{F_LOGIN}" />
+				  </td>
+				</tr>
+				<tr>
+                  <td class="menu">{L_PASSWORD}</td>
+                  <td class="menu">
+				    <input type="password" name="password" />
+				  </td>
+				</tr>
+				<tr>
+                  <td class="menu">{L_CONFIRM_PASSWORD}</td>
+                  <td class="menu">
+				    <input type="password" name="password_conf" />
+				  </td>
+				</tr>
+				<tr>
+                  <td class="menu">{L_EMAIL}</td>
+                  <td class="menu">
+				    <input type="text" name="mail_address" value="{F_EMAIL}" />
+				  </td>
+				</tr>
+                <tr>
+                  <td colspan="2">&nbsp;</td>
+                </tr>
+                <tr>
+                <tr>
+                  <td colspan="2" align="center">
+                    <input type="submit" name="submit" value="{L_SUBMIT}" style="margin:5px;"/>
+                  </td>
+                </tr>
+                <tr>
+                  <td colspan="2" align="center">
+                    <a href="./category.php">[ {L_GUEST} ]</a>
+                  </td>
+                </tr>
+              </table>
+            </form>
+          {T_END}
+        </td>
+      </tr>
+    </table>
Index: unk/template/default/register.vtp
===================================================================
--- /trunk/template/default/register.vtp	(revision 364)
+++ 	(revision )
@@ -1,63 +1,0 @@
-    <table style="width:100%;height:100%">
-      <tr align="center" valign="middle">
-        <td>
-          {#frame_start}1px{#frame_begin}
-            <div class="titrePage">{#register_title}</div>
-          {#frame_end}
-          <div style="margin-bottom:20px"></div>
-          {#frame_start}50%{#frame_begin}
-            <form method="post" action="{#form_action}">
-              <table style="width:80%;margin-top:10px;margin-bottom:10px;margin-left:auto;margin-right:auto;">
-                <!--VTP_errors-->
-                <tr>
-                  <td colspan="2">
-                    <div class="errors">
-                      <ul>
-                        <!--VTP_li-->
-                        <li>{#li}</li>
-                        <!--/VTP_li-->
-                      </ul>
-                    </div>
-                  </td>
-                </tr>
-                <!--/VTP_errors-->
-                <!--VTP_line-->
-                <tr>
-                  <td class="menu">{#name}</td>
-                  <td class="menu">
-                    <!--VTP_select-->
-                    <select name="{#name}">
-                      <!--VTP_option-->
-                      <option{#selected}>{#option}</option>
-                      <!--/VTP_option-->
-                    </select>
-                    <!--/VTP_select-->
-                    <!--VTP_text-->
-                    <input type="text" name="{#name}" value="{#value}" />
-                    <!--/VTP_text-->
-                    <!--VTP_password-->
-                    <input type="password" name="{#name}" value="{#value}" />
-                    <!--/VTP_password-->
-                  </td>
-                </tr>
-                <!--/VTP_line-->
-                <tr>
-                  <td colspan="2">&nbsp;</td>
-                </tr>
-                <tr>
-                <tr>
-                  <td colspan="2" align="center">
-                    <input type="submit" name="submit" value="{#submit}" style="margin:5px;"/>
-                  </td>
-                </tr>
-                <tr>
-                  <td colspan="2" align="center">
-                    <a href="./category.php">[ {#ident_guest_visit} ]</a>
-                  </td>
-                </tr>
-              </table>
-            </form>
-          {#frame_end}
-        </td>
-      </tr>
-    </table>