Index: trunk/language/en_UK.iso-8859-1/admin.lang.php
===================================================================
--- trunk/language/en_UK.iso-8859-1/admin.lang.php	(revision 364)
+++ trunk/language/en_UK.iso-8859-1/admin.lang.php	(revision 367)
@@ -300,5 +300,6 @@
 $lang['help_access'][1] = '1. Modify category informations (from the "categories" section in tha admin panel) and make it "private".';
 $lang['help_access'][2] = '2. On the page of permissions (for a group or a user) the private category will be shown and you\'ll be able to authorize access or not.';
-$lang['help_infos'][2] = 'If you have any question, do not hesitate to take a look at the forum or ask a question there. The <a href="'.$conf['forum_url'].'" style="text-decoration:underline">forum</a> (message board) is available on the presentation site of PhpWebGallery.';
+if (isset($conf))
+  $lang['help_infos'][2] = 'If you have any question, do not hesitate to take a look at the forum or ask a question there. The <a href="'.$conf['forum_url'].'" style="text-decoration:underline">forum</a> (message board) is available on the presentation site of PhpWebGallery.';
 $lang['step1_err_copy'] = 'Copy the text between hyphens and paste it into the file "include/mysql.inc.php"(Warning : mysql.inc.php must only contain what is in blue, no line return or space character)';
 $lang['permuser_only_private'] = 'Only private categories are shown';
@@ -306,3 +307,5 @@
 $lang['conf_upload_available_info'] = 'Authorizing the upload of pictures by users on the categories of the website (not on a remote server). This is general parameter, it is needed to authorize upload category by category, by default, no category is "uploadable".';
 $lang['cat_unknown_id'] = 'This category is unknown in the database';
+$lang['install_warning'] = 'The file "install.php" is still present. Please remove it from your server. It is not secure to keep it.';
+
  ?>
Index: trunk/language/en_UK.iso-8859-1/install.lang.php
===================================================================
--- trunk/language/en_UK.iso-8859-1/install.lang.php	(revision 364)
+++ trunk/language/en_UK.iso-8859-1/install.lang.php	(revision 367)
@@ -27,4 +27,11 @@
 
 $lang['install_message'] = 'Message';
+$lang['Initial_config'] = 'Basic configuration';
+$lang['Default_lang'] = 'Default galerie language';
+$lang['step1_title'] = 'Database configuration';
+$lang['step2_title'] = 'Admin configuration';
+$lang['Start_Install'] = 'Start Install';
+$lang['reg_err_mail_address'] = 'mail address must be like xxx@yyy.eee (example : jack@altern.org)';
+
 $lang['step1_confirmation'] = 'Parameters are correct';
 $lang['step1_err_db'] = 'Connection to server succeed, but it was impossible to connect to database';
@@ -32,5 +39,4 @@
 $lang['step1_err_copy_2'] = 'The next step of the installation is now possible';
 $lang['step1_err_copy_next'] = 'next step';
-$lang['step1_title'] = 'Step 1/2';
 $lang['step1_host'] = 'MySQL host';
 $lang['step1_host_info'] = 'localhost, sql.multimania.com, toto.freesurf.fr';
@@ -46,7 +52,5 @@
 $lang['step2_err_login3'] = 'webmaster login can\'t contain characters \' or "';
 $lang['step2_err_pass'] = 'please enter your password again';
-$lang['step2_err_mail'] = $lang['conf_err_mail'];
 $lang['install_end_title'] = 'Installation finished';
-$lang['step2_title'] = 'Step 2/2';
 $lang['step2_pwd'] = 'webmaster password';
 $lang['step2_pwd_info'] = 'Keep it confidential, it enables you to access administration panel';
@@ -58,8 +62,6 @@
 Once this file deleted , follow this instructions :
 <ul>
-<li>go to the identification page : [ <a href="../identification.php">identification</a> ] and use the login/password given for webmaster</li>
+<li>go to the identification page : [ <a href="identification.php">identification</a> ] and use the login/password given for webmaster</li>
 <li>this login will enable you to access to the administration panel and to the instructions in order to place pictures in your directories</li>
 </ul>';
-$lang['install_warning'] = 'The file "install.php" is still present. Please remove it from your server. It is not secure to keep it.';
-
 ?>
Index: trunk/language/en_UK.iso-8859-1/lang.lang.php
===================================================================
--- trunk/language/en_UK.iso-8859-1/lang.lang.php	(revision 364)
+++ trunk/language/en_UK.iso-8859-1/lang.lang.php	(revision 367)
@@ -38,3 +38,4 @@
   );
 
+$lang['charset'] = 'iso-8859-1';
 ?>