Index: trunk/include/config.inc.php
===================================================================
--- trunk/include/config.inc.php	(revision 518)
+++ trunk/include/config.inc.php	(revision 519)
@@ -46,5 +46,5 @@
 $conf['slideshow_period']   = array(2,5,10);
 $conf['last_days']          = array(1,2,3,10,30,365);
-$conf['version']            = 'BSF';
+
 // $conf['file_ext'] lists all extensions (case insensitive) allowed for
 // your PhpWebGallery installation
Index: trunk/include/constants.php
===================================================================
--- trunk/include/constants.php	(revision 518)
+++ trunk/include/constants.php	(revision 519)
@@ -26,6 +26,9 @@
 // +-----------------------------------------------------------------------+
 
-// Default Language
+// Default settings
 define('DEFAULT_LANGUAGE', 'en_UK.iso-8859-1');
+define('PHPWG_VERSION', 'BSF');
+define('PHPWG_URL', 'http://www.phpwebgallery.net');
+define('PHPWG_FORUM_URL', 'http://forum.phpwebgallery.net');
 
 // Debug Level
Index: trunk/include/functions.inc.php
===================================================================
--- trunk/include/functions.inc.php	(revision 518)
+++ trunk/include/functions.inc.php	(revision 519)
@@ -278,5 +278,5 @@
     {
       list($language_name) = @file($path.'/iso.txt');
-      $languages[$file] = $language_name;
+      $languages[$language_name] = $file;
     }
   }
@@ -352,14 +352,4 @@
     $query.= ",'".$file."','".$category."','".$picture."');";
     mysql_query( $query );
-  }
-}
-
-function templatize_array( $array, $global_array_name, $handle )
-{
-  global $vtp, $lang, $page, $user, $conf;
-
-  foreach ( $array as $value ) {
-  if (isset(${$global_array_name}[$value]))
-    $vtp->setGlobalVar( $handle, $value, ${$global_array_name}[$value] );
   }
 }
Index: trunk/include/functions_html.inc.php
===================================================================
--- trunk/include/functions_html.inc.php	(revision 518)
+++ trunk/include/functions_html.inc.php	(revision 519)
@@ -134,11 +134,13 @@
   $templates = get_templates();
 
+  $style_selected = '<select name="' . $select_name . '" >';
   foreach ($templates as $template)
   {
     $selected = ( $template == $default_style ) ? ' selected="selected"' : '';
-    $style_select.= '<option value="'.$template.'"'.$selected.'>';
-    $style_select.= $template.'</option>';
-  }
-  return $style_select;
+    $style_selected.= '<option value="'.$template.'"'.$selected.'>';
+    $style_selected.= $template.'</option>';
+  }
+  $style_selected .= '</select>';
+  return $style_selected;
 }
 
Index: trunk/include/page_tail.php
===================================================================
--- trunk/include/page_tail.php	(revision 518)
+++ trunk/include/page_tail.php	(revision 519)
@@ -34,5 +34,5 @@
   array(
     'TIME' =>  $time,
-    'VERSION' => $conf['version'],
+    'VERSION' => PHPWG_VERSION,
     'MAIL'=>$conf['mail_webmaster'],
     
Index: trunk/install.php
===================================================================
--- trunk/install.php	(revision 518)
+++ trunk/install.php	(revision 519)
@@ -321,6 +321,6 @@
   'L_ADMIN_CONFIRM_PASSWORD'=>$lang['step2_pwd_conf'],
   'L_ADMIN_CONFIRM_PASSWORD_INFO'=>$lang['step2_pwd_conf_info'],
-  'L_ADMIN_EMAIL'=>$lang['install_mail_webmaster'],
-  'L_ADMIN_EMAIL_INFO'=>$lang['install_mail_webmaster_info'],
+  'L_ADMIN_EMAIL'=>$lang['conf_general_mail_webmaster'],
+  'L_ADMIN_EMAIL_INFO'=>$lang['conf_general_mail_webmaster_info'],
   'L_SUBMIT'=>$lang['Start_Install'],
   'L_HELP'=>$lang['install_help'],
Index: trunk/language/en_UK.iso-8859-1/admin.lang.php
===================================================================
--- trunk/language/en_UK.iso-8859-1/admin.lang.php	(revision 518)
+++ trunk/language/en_UK.iso-8859-1/admin.lang.php	(revision 519)
@@ -258,5 +258,5 @@
 $lang['help_access'][1] = '1. Modify category informations (from the "categories" section in tha admin panel) and make it "private".';
 $lang['help_access'][2] = '2. On the page of permissions (for a group or a user) the private category will be shown and you\'ll be able to authorize access or not.';
-$lang['help_infos'][2] = 'If you have any question, do not hesitate to take a look at the forum or ask a question there. The <a href="http://forum.phpwebgallery.net" style="text-decoration:underline">forum</a> (message board) is available on the presentation site of PhpWebGallery.';
+$lang['help_infos'][2] = 'If you have any question, do not hesitate to take a look at the forum or ask a question there. The <a href="'.PHPWG_FORUM_URL.'" style="text-decoration:underline">forum</a> (message board) is available on the presentation site of PhpWebGallery.';
 
 // Image informations
Index: trunk/language/en_UK.iso-8859-1/common.lang.php
===================================================================
--- trunk/language/en_UK.iso-8859-1/common.lang.php	(revision 518)
+++ trunk/language/en_UK.iso-8859-1/common.lang.php	(revision 519)
@@ -54,4 +54,6 @@
 $lang['keywords'] = 'Keywords';
 $lang['default'] = 'Default';
+$lang['send_mail'] = 'Contact';
+$lang['webmaster'] = 'Webmaster';
 
 //Properties
@@ -145,6 +147,5 @@
 $lang['recent_image'] = 'Image within the';
 $lang['days'] = 'days';
-$lang['send_mail'] = 'Contact';
-$lang['webmaster'] = 'webmaster';
+
 $lang['title_send_mail'] = 'A comment on your site';
 $lang['sub-cat'] = 'subcategories';
@@ -159,7 +160,7 @@
 $lang['about_message'] = '<div style="text-align:center;font-weigh:bold;">Information about PhpWebGallery</div>
 <ul>
-  <li>This website uses <a href="http://www.phpwebgallery.net" style="text-decoration:underline">PhpWebGallery</a>. PhpWebGallery is a web application giving you the possibility to create an online images gallery easily.</li>
+  <li>This website uses the version '.PHPWG_VERSION.' of "<a href="'.PHPWG_URL.'" style="text-decoration:underline">PhpWebGallery</a>. PhpWebGallery is a web application giving you the possibility to create an online images gallery easily.</li>
   <li>Technicaly, PhpWebGallery is fully developped with PHP (the elePHPant) with a MySQL database (the SQuirreL).</li>
-  <li>If you have any suggestions or comments, please visit <a href="http://www.phpwebgallery.net" style="text-decoration:underline">PhpWebGallery</a> official site, and its dedicated <a href="http://forum.phpwebgallery.net" style="text-decoration:underline">forum</a>.</li>
+  <li>If you have any suggestions or comments, please visit <a href="'.PHPWG_URL.'" style="text-decoration:underline">PhpWebGallery</a> official site, and its dedicated <a href="'.PHPWG_FORUM_URL.'" style="text-decoration:underline">forum</a>.</li>
 </ul>';
 $lang['about_return'] = 'Back';
Index: trunk/language/en_UK.iso-8859-1/install.lang.php
===================================================================
--- trunk/language/en_UK.iso-8859-1/install.lang.php	(revision 518)
+++ trunk/language/en_UK.iso-8859-1/install.lang.php	(revision 519)
@@ -33,9 +33,10 @@
 $lang['Start_Install'] = 'Start Install';
 $lang['reg_err_mail_address'] = 'mail address must be like xxx@yyy.eee (example : jack@altern.org)';
+$lang['mail_webmaster'] = 'Webmaster mail adress';
+$lang['mail_webmaster_info'] = 'Visitors will be able to contact site administrator with this mail';
+$lang['reg_err_mail_address'] = 'e-mail address refused, it must be like name@server.com';
 
 $lang['install_webmaster'] = 'webmaster login';
 $lang['install_webmaster_info'] = 'It will be shown to the visitors. It is necessary for website administration';
-$lang['install_mail_webmaster'] = $lang['conf_general_mail_webmaster'];
-$lang['install_mail_webmaster_info'] = $lang['conf_general_mail_webmaster_info'];
 
 $lang['step1_confirmation'] = 'Parameters are correct';
@@ -44,4 +45,6 @@
 $lang['step1_err_copy_2'] = 'The next step of the installation is now possible';
 $lang['step1_err_copy_next'] = 'next step';
+$lang['step1_err_copy'] = 'Copy the text between hyphens and paste it into the file "include/mysql.inc.php"(Warning : mysql.inc.php must only contain what is in blue, no line return or space character)';
+
 $lang['step1_host'] = 'MySQL host';
 $lang['step1_host_info'] = 'localhost, sql.multimania.com, toto.freesurf.fr';
Index: trunk/template/default/default.css
===================================================================
--- trunk/template/default/default.css	(revision 518)
+++ trunk/template/default/default.css	(revision 519)
@@ -145,4 +145,14 @@
 }
 
+.row1,.row2 {
+  text-align:left;
+  padding:5px 0px 5px 0px;
+  height:20px;
+} 
+
+.row1 {
+  background-color:#505050;
+}
+
 .throw {
   color:#FFFFCC;